Update Workspace

Update a Workspace.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the Workspace belongs.
workspaceIdstringRequired
The Workspace's ID.

Request

The request body for updating a new Workspace.
cicdEnforcedDefaultbooleanRequired

Whether new Deployments enforce CI/CD deploys by default.

descriptionstringRequired
The Workspace's description.
namestringRequired<=50 characters
The Workspace's name.

Response

OK
cicdEnforcedDefaultboolean

Whether CI/CD deploys are enforced by default.

createdAtstringformat: "date-time"

The time when the Workspace was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

idstring
The Workspace's ID.
namestring
The Workspace's name.
organizationIdstring
The ID of the organization to which the workspace belongs.
updatedAtstringformat: "date-time"

The time when the Workspace was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

createdByobject
descriptionstring
The Workspace's description.
organizationNamestring
The name of the Organization to which the Workspace belongs.
updatedByobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error